Subject: Routing: Configurable appendix for "formatless" URIs
Description

It should be possible to create "mycompany/about-us.html" as well as "mycompany/about-us/" or even
"mycompany/about-us/index.html". That is, if no trailing slash or filename would be generated, something configurable should happen
instead.

See realurl's "appendMissingSlash" for it's equivalent.

History
#1 - 2009-03-12 12:06 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

That should be configured globally and/or per Route. S.th. like:

MyRoute:
  uriPattern: {foo}
  options:
    appendMissingSlash

#2 - 2009-05-25 17:42 - Robert Lemke
- Target version changed from 1.0 alpha 1 to 283

#3 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#4 - 2010-07-22 13:24 - Bastian Waidelich
- Status changed from New to Closed

I'm closing this 1-year-old issue for now, cause I don't think we need this anymore with the current version.
E.g. if you wanted to add a suffix to all routes you could simply change:

-
  name: 'MyApplication'
  uriPattern: '<MyApplication>'
  subRoutes:
    MyApplication:
      package: MyApplication

to

-
  name: 'MyApplication'
  uriPattern: '<MyApplication>SUFFIX'
  subRoutes:
    MyApplication:
      package: MyApplication

Feel free to re-open this ticket if you don't agree.

#5 - 2010-08-17 16:51 - Karsten Dambekalns
- Status changed from Closed to Needs Feedback

Bastian Waidelich wrote:

I'm closing this 1-year-old issue for now, cause I don't think we need this anymore with the current version.
E.g. if you wanted to add a suffix to all routes you could simply change:

Well, that would then always append SUFFIX, no? So if a URL like foo.json would be generated you' end up with foo.jsonSUFFIX
What this issue is about was that URLs with a format would get that appended, whereas URLs with no format would get the default, so that you never
end up having simply foo.

#6 - 2010-08-17 17:00 - Bastian Waidelich

Karsten Dambekalns wrote:

What this issue is about was that URLs with a format would get that appended,
whereas URLs with no format would get the default, so that you never end up having simply foo.

Isn't that the setup in the current Phoenix demo?
http://latest.phoenix.demo.typo3.org/homepage/secondpage
works as well as
http://latest.phoenix.demo.typo3.org/homepage/secondpage.html
and
http://latest.phoenix.demo.typo3.org/homepage/secondpage.json

generated links will always append ".html" cause that's the default.
And if you'd wanted to force the format suffix, you could ommit the brackets in the uriPattern.

Or did I get it wrong?
#7 - 2010-08-17 17:08 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

Yeah, it does that. Cool. :)
